org.apache.lucene.luke.app

## Class DirectoryHandler

- java.lang.Object
- - org.apache.lucene.luke.app.AbstractHandler<DirectoryObserver>
  - - org.apache.lucene.luke.app.DirectoryHandler

-     public final class DirectoryHandler
      extends AbstractHandler<DirectoryObserver>

  Directory open/close handler

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DirectoryHandler()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `boolean` | `directoryOpened()`
    `static DirectoryHandler` | `getInstance()`
    `LukeState` | `getState()`
    `protected void` | `notifyOne(DirectoryObserver observer)`
    `void` | `open(String indexPath, String dirImpl)`

    - ### Methods inherited from class org.apache.lucene.luke.app.AbstractHandler

      `addObserver`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DirectoryHandler

          public DirectoryHandler()

  - ### Method Detail

    - #### getInstance

          public static DirectoryHandler getInstance()

    - #### notifyOne

          protected void notifyOne(DirectoryObserver observer)

      Specified by:
        `notifyOne` in class `AbstractHandler<DirectoryObserver>`

    - #### directoryOpened

          public boolean directoryOpened()

    - #### open

          public void open(String indexPath,
                           String dirImpl)

    - #### close

          public void close()

    - #### getState

          public LukeState getState()

Copyright © 2000-2024 Apache Software Foundation. All Rights Reserved.